﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        this.WDGNursingNotes.DataSource = GetData();       

    }

    
    public DataTable GetData()
    {
        DataTable table = new DataTable();
        DataColumn c = new DataColumn("ID", typeof(int));
        table.Columns.Add(new DataColumn("ID", typeof(int)));        
        table.Columns.Add(new DataColumn("Date", typeof(DateTime)));
        table.Columns.Add(new DataColumn("Time", typeof(DateTime)));
        table.Columns.Add(new DataColumn("Notes", typeof(string)));

        DateTime today = DateTime.Today;
        DateTime now = DateTime.Now;
        for (int i = 1; i < 25; i++)
        {
            DataRow row = table.NewRow();
            row.ItemArray = new object[] { i, today.AddDays(i), now.AddHours(i), "long notes about something great. More notes. Note #" + i };
            table.Rows.Add(row);
        }

        return table;
    }
}